- Qt 5.15
- Qt GUI
- C++ Classes
- QIconDragEvent
- Qt 5.15.19 Reference Documentation

# QIconDragEvent Class

The QIconDragEvent class indicates that a main icon drag has begun. More...

Header: | #include <QIconDragEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QIconDragEvent()

## Detailed Description

Icon drag events are sent to widgets when the main icon of a window has been dragged away. On macOS, this happens when the proxy icon of a window is dragged off the title bar.

It is normal to begin using drag and drop in response to this event.

See also Drag and Drop, QMimeData, and QDrag.

## Member Function Documentation

### QIconDragEvent::QIconDragEvent()

Constructs an icon drag event object with the accept flag set to false.

See also accept().